/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.CuponSecretaria;
import java.math.BigDecimal;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderCuponSecretaria implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        CuponSecretaria cuponSecretaria = (CuponSecretaria) o;

        Listcell lc = new Listcell();

        BigDecimal porcentagem = cuponSecretaria.getPorcdescuento();
        if (porcentagem != null) {
            lc = new Listcell(porcentagem.setScale(2).toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Long inicial = cuponSecretaria.getNumfolioinicio();
        if (inicial != null) {
            lc = new Listcell(inicial.toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Long finaly = cuponSecretaria.getNumfoliofinal();
        if (finaly != null) {
            lc = new Listcell(finaly.toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);
        
        BigDecimal porcentagemOutros = cuponSecretaria.getPorcdescuentooutros();
        if (porcentagemOutros != null) {
            lc = new Listcell(porcentagemOutros.setScale(2).toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);
        
        BigDecimal porcentagempedagio = cuponSecretaria.getPorcdescuentopedagio();
        if (porcentagempedagio != null) {
            lc = new Listcell(porcentagempedagio.setScale(2).toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);
        
        BigDecimal porcentagemseguro = cuponSecretaria.getPorcdescuentoseguro();
        if (porcentagemseguro != null) {
            lc = new Listcell(porcentagemseguro.setScale(2).toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);
        
        BigDecimal porcentagemtaxaembarque = cuponSecretaria.getPorcdescuentotaxaembarque();
        if (porcentagemtaxaembarque != null) {
            lc = new Listcell(porcentagemtaxaembarque.setScale(2).toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", cuponSecretaria);
    }
}
